<?php


namespace AutoAdmin\Bundle\BrickBuilder\Form;


use AutoAdmin\Bundle\Admin\Form\Type\AdminFormType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class AdminBrickForm extends AbstractType
{
    public function getParent(): string
    {
        return AdminFormType::class;
    }

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        parent::buildForm($builder, $options);
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        parent::configureOptions($resolver);

        $resolver->setDefaults([
            'required' => true,
        ]);
    }
}
